VERSION 5.00
Object = "{6DE6E6DD-C656-11D2-B052-444553540000}#2.0#0"; "VBCards.ocx"
Begin VB.Form frmGame 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Blackjack"
   ClientHeight    =   4980
   ClientLeft      =   2865
   ClientTop       =   1395
   ClientWidth     =   7935
   Icon            =   "frmGame.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   4980
   ScaleWidth      =   7935
   Begin VB.Frame fraButtons 
      Caption         =   "Hand Options"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2295
      Left            =   5760
      TabIndex        =   2
      Top             =   2520
      Width           =   2310
      Begin VB.CommandButton cmdQuit 
         Caption         =   "&Quit"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   120
         TabIndex        =   4
         Top             =   1800
         Width           =   1815
      End
      Begin VB.CommandButton cmdHit 
         Caption         =   "&Hit"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   1815
      End
   End
   Begin VB.Frame fraUser 
      Caption         =   "Your Cards"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   120
      TabIndex        =   1
      Top             =   3000
      Width           =   5535
      Begin VB.Image imgUserCard 
         Height          =   1335
         Index           =   0
         Left            =   120
         Top             =   240
         Width           =   975
      End
      Begin VB.Image imgUserCard 
         Height          =   1335
         Index           =   1
         Left            =   1200
         Top             =   240
         Width           =   975
      End
      Begin VB.Image imgUserCard 
         Height          =   1335
         Index           =   2
         Left            =   2280
         Top             =   240
         Visible         =   0   'False
         Width           =   975
      End
      Begin VB.Image imgUserCard 
         Height          =   1335
         Index           =   3
         Left            =   3360
         Top             =   240
         Visible         =   0   'False
         Width           =   975
      End
      Begin VB.Image imgUserCard 
         Height          =   1335
         Index           =   4
         Left            =   4440
         Top             =   240
         Visible         =   0   'False
         Width           =   975
      End
   End
   Begin VBCards.Deck Deck1 
      Left            =   600
      Top             =   1920
      _ExtentX        =   847
      _ExtentY        =   1032
      Picture         =   "frmGame.frx":0442
   End
   Begin VB.Label lblUserScore 
      BackColor       =   &H00008000&
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   5205
      TabIndex        =   0
      Top             =   2760
      Width           =   615
   End
End
Attribute VB_Name = "frmGame"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private mcolDeck As New Collection
Private mintNextCard As Integer
Private Const FIRST_SUIT_BACK = 58    ' The first card back is number 58


Private Sub cmdQuit_Click()

    Unload Me

End Sub


Private Sub cmdHit_Click()
    
    Select Case True
        Case imgUserCard(3).Visible = True
            NextCard = NextCard + 1
            Deck1.ChangeCard = mcolDeck(NextCard)
            imgUserCard(4).Visible = True
            imgUserCard(4).Picture = Deck1.Picture
        Case imgUserCard(2).Visible = True
            NextCard = NextCard + 1
            Deck1.ChangeCard = mcolDeck(NextCard)
            imgUserCard(3).Visible = True
            imgUserCard(3).Picture = Deck1.Picture
        Case Else
            NextCard = NextCard + 1
            Deck1.ChangeCard = mcolDeck(NextCard)
            imgUserCard(2).Visible = True
            imgUserCard(2).Picture = Deck1.Picture
    End Select
    

End Sub


Private Sub Form_Load()

    Deck1.ChangeCard = 55
    imgUserCard(0).Picture = Deck1.Picture
    imgUserCard(1).Picture = Deck1.Picture
    Deck1.ChangeCard = 55
    Me.Height = 5760
    
    Shuffle
    NewHand
End Sub

Private Sub NewHand()

    imgUserCard(0).Visible = False
    imgUserCard(1).Visible = False
    imgUserCard(2).Visible = False
    imgUserCard(3).Visible = False
    imgUserCard(4).Visible = False
    Me.Show
    imgUserCard(0).Visible = True
    imgUserCard(1).Visible = True
    Deck1.ChangeCard = 1 + FIRST_SUIT_BACK
    
    NextCard = NextCard + 1
    Deck1.ChangeCard = mcolDeck(NextCard)
    imgUserCard(0).Picture = Deck1.Picture

    NextCard = NextCard + 1
    Deck1.ChangeCard = mcolDeck(NextCard)
    imgUserCard(1).Picture = Deck1.Picture
    
    
End Sub

Private Sub mnuQuit_Click()

    Unload Me
    
End Sub


Public Sub Shuffle()

    Dim intCard As Integer

    'Initialize the deck (only needed if you are going to shuffle more than  once)
'    Set mcolDeck = Nothing
'    Set mcolDeck = New Collection
    
    Randomize
    
    ' Create a collection of 52 numbers (from 1 to 52)
    Do While mcolDeck.Count < 52
        ' get a random number between 1 and 52
        intCard = Int(52 * Rnd + 1)
        ' Try to add it to the collection. The 1st value after the add is the value (stored as
        ' a string) and the second value is the key (also stored as a string). When using keys,
        ' duplicate keys aren't allowed so the On error Resume Next statement lets the program
        ' skip the add and continue looking for numbers that aren't already in the collection.
        On Error Resume Next
        mcolDeck.Add CStr(intCard), CStr(intCard)
    Loop

 End Sub

Public Property Get NextCard() As Integer

    NextCard = mintNextCard
    
End Property

Public Property Let NextCard(ByVal intNext As Integer)

    mintNextCard = intNext

End Property



